Getting Current Position in Queue
You can use a GET request to retrieve the current position in queue for an interaction.
| Before making a query for Position in Queue, an interaction must first be added to the queue. We recommend waiting a couple of seconds after putting an interaction on a queue before querying for Position in Queue to ensure the data is available in reporting. |
Request
Sample request
The request below retrieves the current position in queue for the specified interaction:
curl -X GET -H "Content-Type: application/json" https://api.cxengage.net/v1/tenants/<tenantId>/interactions/<interactionId/realtime-statistics/current-position-in-queue
Request parameters
The table below lists the parameters you can include in a request:
| Parameter | Required? | Type | Description |
|---|---|---|---|
| tenantId | yes | UUID |
The unique identifier of the tenant. |
| interactionId | yes | UUID | The interaction's unique identifier. |
Response
Sample response
The request returns JSON structured like the example below:
{
"results": {
"count": 1,
"unit": "count",
"queryWindow": {
"start": "2018-12-06T05:00:00.000Z",
"end": "2018-12-07T04:59:59.999Z"
}
},
"queryTime": 33
}
Response parameters
The response includes the following parameters:
| Parameter | Type | Description |
|---|---|---|
| Count | string | The current position in queue, which is calculated by adding 1 to the number of interactions ahead of the interaction. |
| unit | string |
How the value is measured. For example, as a count, percentage, or time. |
| queryWindow | object |
A JSON object containing the following parameters:
|
| queryTime | string |
The length of time, in milliseconds, that it took for the API to respond to the call. |
Copyright © 2025 Enghouse Interactive. All Rights Reserved.